Bug 75239 - PDF generation fails with admon graphics
PDF generation fails with admon graphics
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: docbook-style-xsl (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-05 16:45 EDT by Joe Cooper
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 10:38:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Error log from 'xmlto pdf' with admon graphics enabled (39.03 KB, text/plain)
2002-10-05 16:46 EDT, Joe Cooper
no flags Details
A short test document that causes the error (3.06 KB, text/plain)
2002-10-05 18:00 EDT, Joe Cooper
no flags Details
admon.xsl (315 bytes, text/plain)
2002-10-07 03:14 EDT, Tim Waugh
no flags Details
stylesheet fragment for fixed column widths (2.03 KB, text/plain)
2002-10-07 03:29 EDT, Tim Waugh
no flags Details

  None (edit)
Description Joe Cooper 2002-10-05 16:45:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2a) Gecko/20020910

Description of problem:
When running xmlto to generate a PDF with admonition graphics enabled,
passivetex (or xmltex, maybe?) fails with the error below.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  Create an XML docbook document
2.  Run 'xmlto pdf' on it
3.  Enjoy more errors than you can shake a stick at
	

Actual Results:  No PDF was generated, and a slew of tex errors poured forth

Expected Results:  PDF should be generated including admon graphics

Additional info:

The errors will be appended in a file attachment...
Comment 1 Joe Cooper 2002-10-05 16:46:10 EDT
Created attachment 78984 [details]
Error log from 'xmlto pdf' with admon graphics enabled
Comment 2 Joe Cooper 2002-10-05 16:48:47 EDT
Oh, yeah, I've tried this with my own custom admon graphics in the 'images/'
directory as well as the images that ship with the docbook-style-xsl package. 
Both result in the same errors.
Comment 3 Tim Waugh 2002-10-05 17:48:36 EDT
I think you have a <table> element---passivetex doesn't support tables, unless 
you specify the column widths. 

*** This bug has been marked as a duplicate of 57498 ***
Comment 4 Joe Cooper 2002-10-05 18:00:29 EDT
Created attachment 79005 [details]
A short test document that causes the error
Comment 5 Joe Cooper 2002-10-05 18:02:08 EDT
No tables in the document, and it processes fine if admon graphics are disabled.

I've attached a shortened version of the document that will reproduce the
problem.  It is a simple book document with no images, and no tables...nothing
fancy at all.
Comment 6 Joe Cooper 2002-10-05 18:03:59 EDT
I'll also mention this happens with both 7.3 versions of the docbook stuff and
8.0 versions.
Comment 7 Tim Waugh 2002-10-06 07:46:18 EDT
Your attached document works for me on Red Hat Linux 8.0: 
 
[tim@cyberelk tim]$ xmlto pdf test.xml 
Convert to XSL-FO 
Attempt to load network entity http://www.docbook.org/xml/4.1.2/docbookx.dtd 
Making portrait pages on A4 paper (210mmx297mm) 
Post-process XSL-FO to PDF 
[tim@cyberelk tim]$ ls -l test.pdf 
-rw-rw-r--    1 tim      tim         13397 Oct  6 12:44 test.pdf 
 
docbook-style-xsl-1.50.0-3 
xmlto-0.0.10-4 
passivetex-1.12-5 
Comment 8 Joe Cooper 2002-10-06 17:41:25 EDT
I'm sorry to nag on this issue, Tim, but I just don't see how it could work for
you on a straight Red Hat 8.0 machine.  Below, I've pasted in all of my version
information, and verification of all relevant package files (I think the tetex
stuff is automatically modified during the install process, as I haven't touched
them).  This is a clean RH 8.0 box, with the /only/ change to the DocBook stuff
being to enable admon graphics.  I have admon graphics in the images/
subdirectory (I tried removing them to see if it would pick up the default ones
and work, but it fails almost immediately complaining about not finding the
images--I continue to get these same table errors if I copy over the default
images into my images/ subdir).  I've appended a diff of my param.xsl and the
original param.xsl, as well.

As I mentioned, processing goes without a hitch if admon graphics are
disabled--but it fails every single time, no matter the document, if admon
graphics are enabled.  I try not to be wholly helpless about this stuff, and it
pains me to keep pestering you about it, but this one has me completely
stumped...I first thought I had botched something on my desktop machine (an
up2dated 7.3, but it has had a few tweaks in its lifetime--all via RPMs, but
many of them custom packages that I built myself).   So I installed all of the
processing tools on my laptop, which has just had a clean 8.0 install a few days
ago and has no serious modifications at all.  As a last resort I rebuilt all of
the most recent packages on my 7.3 box and installed those to the same results.

Thanks for any further thoughts you might have on the issue.

[root@pandora xml]# cat /etc/redhat*
Red Hat Linux release 8.0 (Psyche)
[root@pandora xml]# rpm -q passivetex xmltex xmlto docbook-utils
docbook-style-xsl tetex docbook-utils-pdf docbook-dtds
passivetex-1.12-5
xmltex-20000118-11
xmlto-0.0.10-4
docbook-utils-0.6.11-2
docbook-style-xsl-1.50.0-3
tetex-1.0.7-57
docbook-utils-pdf-0.6.11-2
docbook-dtds-1.0-14
[root@pandora xml]# rpm -V passivetex xmltex xmlto docbook-utils
docbook-style-xsl tetex docbook-utils-pdf docbook-dtds
..5....T   /usr/share/sgml/docbook/xsl-stylesheets-1.50.0-3/fo/param.xsl
S.5....T   /usr/share/texmf/web2c/amstex.fmt
S.5....T   /usr/share/texmf/web2c/bamstex.fmt
S.5....T   /usr/share/texmf/web2c/bplain.fmt
S.5....T   /usr/share/texmf/web2c/etex.efmt
S.5....T   /usr/share/texmf/web2c/lambda.fmt
S.5....T   /usr/share/texmf/web2c/mf.base
..5....T   /usr/share/texmf/web2c/mpost.mem
S.5....T   /usr/share/texmf/web2c/omega.fmt
S.5....T   /usr/share/texmf/web2c/pdfetex.efmt
S.5....T   /usr/share/texmf/web2c/pdftex.fmt
S.5....T   /usr/share/texmf/web2c/tex.fmt
[root@pandora xml]# diff -uN \
/usr/share/sgml/docbook/xsl-stylesheets-1.50.0-3/fo/param.xsl \
param.xsl.orig
--- param.xsl.orig  2002-10-06 16:43:43.000000000 -0500
+++ /usr/share/sgml/docbook/xsl-stylesheets-1.50.0-3/fo/param.xsl   2002-10-06
16:30:05.000000000 -0500
@@ -14,7 +14,7 @@
      ******************************************************************** -->

 <xsl:param name="admon.graphics.extension" select="'.png'"/>
-<xsl:param name="admon.graphics" select="0"/>
+<xsl:param name="admon.graphics" select="1"/>
 <xsl:param name="admon.graphics.path">images/</xsl:param>
 <xsl:attribute-set name="admonition.properties"/>
Comment 9 Tim Waugh 2002-10-07 03:13:39 EDT
Oh, you modified param.xsl!  I didn't realise that.  You aren't really 
supposed to do that, but instead you should make a custom stylesheet layer.  
With xmlto you can make custom stylesheet 'fragments' and it will construct 
the layer for you. 
 
Attached is 'admon.xsl', a stylesheet fragment to reproduce the problem you 
are seeing. 
 
Steps to reproduce: 
1. xmlto pdf test.xml -m admon.xsl 
 
As for the problem itself, it is due to fo:table being used by the stylesheets 
for admon graphics, without column widths being specified.  PassiveTeX doesn't 
yet support that, and the best place to work around this is in the 
stylesheets, just by getting them to specify column widths.  I'll report this 
upstream.
Comment 10 Tim Waugh 2002-10-07 03:14:16 EDT
Created attachment 79144 [details]
admon.xsl
Comment 11 Tim Waugh 2002-10-07 03:28:32 EDT
In the mean time, here's a stylesheet fragment that specifies column widths in 
admon graphics tables.
Comment 12 Tim Waugh 2002-10-07 03:29:04 EDT
Created attachment 79145 [details]
stylesheet fragment for fixed column widths
Comment 14 Joe Cooper 2002-10-08 02:10:20 EDT
Hooray!

Thank you, Tim, you're my hero for the day.  I've been planning to convert over
to XML DocBook for my documentation for months now, and I finally took the
plunge and converted a 300+ book to XML only to find that it wouldn't even begin
to process correctly.  Now I can get back to work.

I appreciate your patience and assistance on this.
Comment 15 Bill Nottingham 2006-08-05 00:12:17 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 16 Bill Nottingham 2006-10-18 10:38:07 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.